Subject: Re: Behavior of stash apply vs merge

From: Robin Rosenberg <[email-masked]>
Date: Sun, 27 Jan 2013 20:51:09 +0100 (CET)

----- Ursprungligt meddelande -----
> Robin Rosenberg <[email-masked]> writes:
> 
> > Thanks. Feeling a bit studid now.
> >
> > I was actually thinking about using merge to implement stash apply
> > in JGit. What we have is broken so I tried using merge to implement
> > it and them compared to git merge --no-commit.. FAIL.
> 
> Do you have "cherry-pick"?
>
> In short, "stash apply" is a "cherry-pick" in disguise.

Yes, that's what I did. Thanks for confirming this. One for the working
tree and if that succeeds I do another one to restore the index if requested.

-- robin